summaryrefslogtreecommitdiff
path: root/openwrt/package/chillispot/ipkg
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2005-04-01 00:34:13 +0000
committerFelix Fietkau <nbd@openwrt.org>2005-04-01 00:34:13 +0000
commit287d56921d76d839da53bd2af616efb22779e224 (patch)
treea685478f8cc5288b1a5bbe908f9df672f020b4b8 /openwrt/package/chillispot/ipkg
parent89464e5e3f7d3bdfb80bea82192437871466a8d1 (diff)
downloadmtk-20170518-287d56921d76d839da53bd2af616efb22779e224.zip
mtk-20170518-287d56921d76d839da53bd2af616efb22779e224.tar.gz
mtk-20170518-287d56921d76d839da53bd2af616efb22779e224.tar.bz2
add chillispot
SVN-Revision: 501
Diffstat (limited to 'openwrt/package/chillispot/ipkg')
-rw-r--r--openwrt/package/chillispot/ipkg/CONTROL/conffiles1
-rwxr-xr-xopenwrt/package/chillispot/ipkg/etc/init.d/S60chilli16
2 files changed, 17 insertions, 0 deletions
diff --git a/openwrt/package/chillispot/ipkg/CONTROL/conffiles b/openwrt/package/chillispot/ipkg/CONTROL/conffiles
new file mode 100644
index 0000000..0848516
--- /dev/null
+++ b/openwrt/package/chillispot/ipkg/CONTROL/conffiles
@@ -0,0 +1 @@
+/etc/chilli.conf
diff --git a/openwrt/package/chillispot/ipkg/etc/init.d/S60chilli b/openwrt/package/chillispot/ipkg/etc/init.d/S60chilli
new file mode 100755
index 0000000..0fded5b
--- /dev/null
+++ b/openwrt/package/chillispot/ipkg/etc/init.d/S60chilli
@@ -0,0 +1,16 @@
+#!/bin/sh
+case $1 in
+ start)
+ /sbin/insmod tun >/dev/null 2>&1
+ [ -d /var/run ] || mkdir -p /var/run
+ /usr/sbin/chilli
+ ;;
+ stop)
+ [ -f /var/run/chilli.pid ] && kill $(cat /var/run/chilli.pid) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?